<div class="col-lg-8 col-md-10">
    <h3>Inicio de sesión:</h3>
    <form [formGroup]="loginForm" class="login-form" novalidate>
        <div class="form-group">
            <input type="email" class="form-control" id="email" placeholder="Correo electrónico" formControlName="email">

            <div *ngIf="email.invalid && (email.dirty || email.touched)" class="alert alert-danger">
                <span *ngIf="email.errors.required">
                    El correo es requerido.
                </span>
                <span *ngIf="email.errors.email">
                    El correo es inválido.
                </span>
            </div>
        </div>

        <div class="form-group">
            <input type="password" class="form-control" id="password" placeholder="Contraseña" formControlName="password">

            <div *ngIf="password.invalid && (password.dirty || password.touched)" class="alert alert-danger">
                <span *ngIf="password.errors.required">
                    La contraseña es requerida.
                </span>
                <span *ngIf="password.errors.minlength">
                    La contraseña debe tener al menos 6 caracteres.
                </span>
            </div>
        </div>

        <div class="btns-container">
            <button class="btn btn-primary" (click)="onSubmit()">Iniciar</button>
            <button class="btn btn-danger" (click)="onClear()">Limpiar</button>
        </div>
    </form>
    <div class="d-flex justify-content-between">
        <a class="fa fa-facebook" (click)="onProvider('Facebook')"></a>
        <a class="fa fa-twitter" (click)="onProvider('Twitter')"></a>
        <a class="fa fa-google" (click)="onProvider('Google')"></a>
    </div>
</div>